package handler

import (
	"cold-delivery/common/model"
	"fmt"
	coreModel "gogs.baozhida.cn/zoie/OAuth-core/model"
)

type SysUser struct {
	model.Model
	coreModel.User
	Type     int    `json:"type" gorm:"size:128;comment:类型"`         // 管理员1 仓管2 司机3
	UserType string `json:"userType" gorm:"size:128;comment:用户类型"`   // 系统用户-sys 客户-customer
	Openid   string `json:"openid" gorm:"size:128;comment:微信openid"` // 微信openid
	model.ControlBy
	model.ModelTime
}

func (SysUser) TableName() string {
	return "sys_user"
}

func GetVerifyCodeCacheKey(phone string) string {
	return fmt.Sprintf("verify-code-%s", phone)
}
